[PATCH 1/1] xt_asn: fix download script

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Philip Prindeville <philipp@xxxxxxxxxxxxxxxxxxxxx>

If the server ever existed, it's been retired now.  Use the download
server instead.

Signed-off-by: Philip Prindeville <philipp@xxxxxxxxxxxxxxxxxxxxx>
---
 asn/xt_asn_dl | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/asn/xt_asn_dl b/asn/xt_asn_dl
index 42320365b059bec993767b81d722c589b46ca23d..60bd598e04ad8350a9bac10fbf8839ab4b7a4485 100755
--- a/asn/xt_asn_dl
+++ b/asn/xt_asn_dl
@@ -1,5 +1,16 @@
 #!/bin/sh
+
+if [ $# -eq 1 ]; then
+    exec <$1
+elif [ $# -ne 0 ]; then
+    echo $(basename $0) [ licence_key_file ] 1>&2
+    exit 1
+fi
+
+read licence_key
+
 rm -rf GeoLite2-ASN-CSV_*
-wget -q http://geolite.maxmind.com/download/geoip/database/GeoLite2-ASN-CSV.zip
+
+wget -q -OGeoLite2-ASN-CSV.zip "https://download.maxmind.com/app/geoip_download?edition_id=GeoLite2-ASN-CSV&license_key=${licence_key}&suffix=zip";
 unzip -q GeoLite2-ASN-CSV.zip
 rm -f GeoLite2-ASN-CSV.zip
-- 
2.34.1




[Index of Archives]     [Netfitler Users]     [Berkeley Packet Filter]     [LARTC]     [Bugtraq]     [Yosemite Forum]

  Powered by Linux